=head1 NAME

GStreamer::Event::Custom

=cut


=head1 METHODS

=head2 GstEvent = GStreamer::Event::Custom-E<gt>B<new> ($type, $structure)

=over

=item * $type (GStreamer::EventType) 

=item * $structure (GStreamer::Structure) 

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum GStreamer::EventType

=over

=item * 'unknown' / 'GST_EVENT_UNKNOWN'

=item * 'flush-start' / 'GST_EVENT_FLUSH_START'

=item * 'flush-stop' / 'GST_EVENT_FLUSH_STOP'

=item * 'eos' / 'GST_EVENT_EOS'

=item * 'newsegment' / 'GST_EVENT_NEWSEGMENT'

=item * 'tag' / 'GST_EVENT_TAG'

=item * 'buffersize' / 'GST_EVENT_BUFFERSIZE'

=item * 'sink-message' / 'GST_EVENT_SINK_MESSAGE'

=item * 'qos' / 'GST_EVENT_QOS'

=item * 'seek' / 'GST_EVENT_SEEK'

=item * 'navigation' / 'GST_EVENT_NAVIGATION'

=item * 'latency' / 'GST_EVENT_LATENCY'

=item * 'step' / 'GST_EVENT_STEP'

=item * 'custom-upstream' / 'GST_EVENT_CUSTOM_UPSTREAM'

=item * 'custom-downstream' / 'GST_EVENT_CUSTOM_DOWNSTREAM'

=item * 'custom-downstream-oob' / 'GST_EVENT_CUSTOM_DOWNSTREAM_OOB'

=item * 'custom-both' / 'GST_EVENT_CUSTOM_BOTH'

=item * 'custom-both-oob' / 'GST_EVENT_CUSTOM_BOTH_OOB'

=back




=cut


=head1 SEE ALSO

L<GStreamer>


=cut


=head1 COPYRIGHT

Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<GStreamer> for a full notice.



=cut

